package org.dromara.business.service;

import org.dromara.business.domain.CaseFeedback;
import org.dromara.business.domain.vo.CaseFeedbackVo;
import org.dromara.business.domain.bo.CaseFeedbackBo;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.common.mybatis.core.page.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 意见反馈Service接口
 *
 * @author wuzhigang
 * @date 2023-12-01
 */
public interface ICaseFeedbackService {

    /**
     * 查询意见反馈
     */
    CaseFeedbackVo queryById(Long id);

    /**
     * 查询意见反馈列表
     */
    TableDataInfo<CaseFeedbackVo> queryPageList(CaseFeedbackBo bo, PageQuery pageQuery);

    /**
     * 查询意见反馈列表
     */
    List<CaseFeedbackVo> queryList(CaseFeedbackBo bo);

    /**
     * 新增意见反馈
     */
    Boolean insertByBo(CaseFeedbackBo bo);

    /**
     * 修改意见反馈
     */
    Boolean updateByBo(CaseFeedbackBo bo);

    /**
     * 校验并批量删除意见反馈信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
